* {
    box-sizing: border-box;
}

body {
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

.page-header {
    position: relative;
    z-index: 1;
    min-height: 360px;
    padding: 50px var(--horizontal-padding);
    background: no-repeat center/cover;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    &::before {
        content: "";
        position: absolute;
        z-index: -1;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-image: linear-gradient(180deg, #1D1D1D 0%, #1D1D1D7A 100%);
        opacity: 0.2;
    }

    .page-title {
        font-size: 60px;
        color: #fff;
        margin: 0;
    }

    .page-subtitle {
        font-size: 18px;
        line-height: 1.2;
        color: #fff;
        margin-top: 10px;
        text-transform: uppercase;
        font-weight: 600;
        max-width: 1120px;
        text-align: center;
    }
}

.page-header+.page-content {
    padding-top: 80px;
}

.page-content {
    padding-bottom: 80px;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    &:first-child {
        margin-top: 0;
    }
}

/* -----------------------------------------------
    NAVIGATION STYLES
----------------------------------------------- */
.main-navigation {
    position: sticky;
    top: 0;
    z-index: 9999;
    background-color: var(--primary-color-light);
    padding: 5px 0;

    .container {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .custom-logo-link {
        img {
            display: block;
            width: auto;
            height: 130px;
        }
    }
}

/* -----------------------------------------------
    FOOTER STYLES
----------------------------------------------- */
.main-footer {
    padding: 50px 0 30px;
    background-color: var(--primary-color);

    .wp-block-gallery.has-nested-images {
        align-items: center !important;

        figure.wp-block-image {
            align-items: center;
            justify-content: center;
            margin: auto !important;

            img {
                max-width: 360px !important;
                max-height: 160px !important;
                height: auto !important;
                width: auto !important;
                flex: initial !important;
            }
        }
    }

    a {
        text-decoration: none;
    }

    li {
        list-style: none;
    }

    .wp-block-group {
        padding: 0 !important;
    }

    .fluentform {
        .ff-t-container {
            align-items: flex-start;
        }

        input,
        button {
            font-family: inherit;
        }

        button {
            font-weight: 700;
        }

        .ff-message-success {
            background-color: #fff3;
            border: none;
            color: #fff;
            margin-bottom: 10px;

            p {
                margin: 0;
            }
        }

        .ff-errors-in-stack {
            background-color: #ff4b4b33;
            border: none;
            color: #c3b4b4;
            margin-bottom: 10px;
        }
    }

    .menu {
        justify-content: center;
    }
}

.n2-ss-slide .n2-ss-layers-container {
    opacity: 0 !important;
    transform: translateY(40px);
    transition: all 1s .2s !important;
    visibility: visible !important;
}

.n2-ss-slide.n2-ss-slide-active .n2-ss-layers-container {
    opacity: 1 !important;
    transform: translateY(0);
}

.ff-message-success {
    background-color: #4583b138;
    color: #28628d;
    border: none;
    box-shadow: none;
    margin-bottom: 20px;

    p {
        margin: 0;
    }
}

.lightweight-accordion-body {
    display: none
}

.burger-menu {
    display: none;
}

.scroll-to-top {
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 9999;
    cursor: pointer;
}


@media (max-width: 767px) {
    .page-header {
        min-height: 300px;

        .page-title {
            font-size: 50px;
        }
    }

    .main-navigation {
        & .custom-logo-link {
            img {
                height: 112px;
            }
        }
    }

    .main-navigation .menu {
        position: absolute;
        top: 122px;
        left: 0;
        width: 100%;
        background-color: #fff;
        color: var(--primary-color);
        display: flex;
        flex-direction: column;
        margin: 0;
        padding: 30px;
        font-size: 30px;
        align-items: flex-start;
        opacity: 0;
        visibility: hidden;
        transform: translateY(-20px);
        transition: all 0.3s;

        a,
        a.is-button {
            color: var(--primary-color);
            font-size: 22px;
            font-weight: 700;
            text-transform: uppercase;
            background-color: transparent;
            padding: 14px 0;
            max-width: none;
            margin: 0;
        }

        .current-menu-item {
            a {
                color: #7C8EF3;
            }
        }
    }

    .burger-menu {
        position: relative;
        width: 36px;
        height: 26px;
        cursor: pointer;
        display: block;

        &::before,
        &::after,
        span {
            content: "";
            display: block;
            width: 100%;
            height: 5px;
            background-color: #fff;
            border-radius: 3px;
            position: absolute;
            left: 0;
            top: 0;
            transition: all 0.3s;
        }

        &::after {
            top: 100%;
            transform: translateY(-100%);
        }

        span {
            top: 50%;
            transform: translateY(-50%);
        }
    }

    body.menu-open {
        .main-navigation .menu {
            opacity: 1;
            visibility: visible;
            transform: translateY(0);
        }

        .burger-menu {
            span {
                opacity: 0;
            }

            &::before {
                top: 50%;
                transform: translateY(-50%) rotate(45deg);
            }

            &::after {
                top: 50%;
                transform: translateY(-50%) rotate(-45deg);
            }
        }
    }

    .main-footer {
        padding-bottom: 50px;

        & .wp-block-gallery.has-nested-images {
            & figure.wp-block-image {
                img {
                    max-width: 100% !important;
                }
            }
        }

        .menu {
            flex-direction: column;
            padding: 0;
            gap: 15px;

            a {
                font-size: 14px;
            }
        }
    }    

    .wp-block-post-featured-image+.wp-block-group {
        padding: 30px 15px;
    }

    body.post-type-post .wp-block-post-title, .wp-block-post .wp-block-post-title {
        font-size: 30px;
    }

    body.post-type-post .wp-block-post-content, .wp-block-post .wp-block-post-content {
        font-size: 16px;
    }
}